/*******************************************************************************
 * Copyright (c) 2014 Jad El-khoury.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * and Eclipse Distribution License v. 1.0 which accompanies this distribution.
 *
 * The Eclipse Public License is available at http://www.eclipse.org/legal/epl-v10.html
 * and the Eclipse Distribution License is available at
 * http://www.eclipse.org/org/documents/edl-v10.php.
 *
 * Contributors:
 *
 *     Jad El-khoury        - initial implementation of code generator (https://bugs.eclipse.org/bugs/show_bug.cgi?id=422448)
 *
 * This file is generated by org.eclipse.lyo.oslc4j.codegenerator
 *******************************************************************************/

package se.kth.md.assume.adaptors.pror;

// Start of user code imports
// End of user code

// Start of user code pre_class_code
// End of user code
public class ServiceProviderInfo {
    public String name;
    public String serviceProviderId;

    // Start of user code class_attributes
	// End of user code

    // Start of user code class_methods

    /**
     * Just keep the blank ctor for backwards compat
     */
    public ServiceProviderInfo() {}

    /**
     * A constructor to allow inline initialization of the objects
     * @param name
     * @param serviceProviderId
     */
    public ServiceProviderInfo(String name, String serviceProviderId) {
        this.name = name;
        this.serviceProviderId = serviceProviderId;
    }

	// End of user code
}

